<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:tools="http://schemas.android.com/tools">

    <data>

        <import type="com.controlmyspa.ownerappnew.BuildConfig" />
    </data>

    <androidx.drawerlayout.widget.DrawerLayout xmlns:android="http://schemas.android.com/apk/res/android"
        xmlns:app="http://schemas.android.com/apk/res-auto"
        android:id="@+id/drawer_layout"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:animateLayoutChanges="true"
        android:background="@drawable/background">

        <include
            android:id="@+id/appBarMain"
            layout="@layout/app_bar_main" />

        <androidx.constraintlayout.widget.ConstraintLayout
            android:layout_width="match_parent"
            android:background="@drawable/side_nav_bar"
            android:layout_gravity="start"
            android:layout_height="match_parent">

            <com.google.android.material.navigation.NavigationView
                android:id="@+id/nav_view"
                android:layout_width="match_parent"
                android:layout_height="0dp"
                android:background="@drawable/side_nav_bar"
                android:visibility="gone"
                app:elevation="0dp"
                app:itemIconTint="@android:color/white"
                app:itemTextColor="@android:color/white"
                app:layout_constraintBottom_toTopOf="@id/versionView"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent"
                app:menu="@menu/activity_main_drawer" />

            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/mDrawerView"
                android:layout_width="match_parent"
                android:layout_height="0dp"
                tools:listitem="@layout/adapter_drawer"
                android:background="@drawable/side_nav_bar"
                app:layout_constraintBottom_toTopOf="@id/versionView"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent" />

            <View
                android:id="@+id/lineView"
                android:layout_width="match_parent"
                android:layout_height="1dp"
                android:background="@color/white"
                app:layout_constraintBottom_toTopOf="@id/versionView"
                app:layout_constraintTop_toBottomOf="@id/mDrawerView" />

            <TextView
                android:id="@+id/versionView"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:gravity="center"
                android:padding="10dp"
                android:text="@{@string/app_version +' '+ BuildConfig.VERSION_NAME}"
                android:textColor="@color/white"
                android:textSize="16sp"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintEnd_toEndOf="@id/mDrawerView"
                app:layout_constraintStart_toStartOf="@id/mDrawerView"
                app:layout_constraintTop_toBottomOf="@id/lineView" />
        </androidx.constraintlayout.widget.ConstraintLayout>
    </androidx.drawerlayout.widget.DrawerLayout>
</layout>